/*
 * Copyright 2011 Raster Software Vigo
 *
 * This file is part of ttos
 *
 * ttos is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * ttos is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/*
 * other.h
 *
 *  Created on: 18/09/2010
 *      Author: raster
 */

#ifndef OTHER_H_
#define OTHER_H_

#include "blit.h"

struct _client_data *other_get_client_by_uid(uint32_t uid);
bool other_client_is_wm(struct minibus_connection *connection);
void other_send_error(struct minibus_connection *connection, uint32_t port, uint32_t error);
uint32_t other_create_uid(uint16_t w_uid, uint16_t t_uid, uint32_t type_mask);
void other_send_uid(struct minibus_connection *connection, uint32_t port, uint32_t uid);
bool other_apply_alpha(struct ttos_color *color, struct ttos_color *rcolor, uint8_t alpha);

#endif /* OTHER_H_ */
